%define name 	f-spot
%define version	0.2.0
%define release	%mkrel 2

Summary: 	A full-featured personal photo management application for the GNOME desktop
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		f-spot-0.0.13.exif12.patch.bz2
# (fc) 0.2.0-2mdv fix libgphoto dlopening
Patch1:		f-spot-0.2.0-soname.patch.bz2

License: 	GPL
Group: 		Graphics
Url: 		http://f-spot.org/
BuildRequires: 	dbus-sharp
BuildRequires: 	gnome-sharp2 >= 2.8.0
BuildRequires: 	mono-devel
BuildRequires: 	mono-data-sqlite
BuildRequires: 	libgnomeui2-devel
BuildRequires: 	libexif-devel
BuildRequires: 	liblcms-devel
BuildRequires: 	sqlite-devel
BuildRequires: 	libgphoto-devel
BuildRequires: 	perl-XML-Parser
BuildRequires: 	ImageMagick
BuildRequires: 	desktop-file-utils
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#gw please don't drop these explicit deps, the shared libraries are imported
Requires: 	%mklibname exif 12
Requires: 	%mklibname gphoto 2

%description
F-Spot is a full-featured personal photo management application
for the GNOME desktop

%prep
%setup -q
%patch0 -p1 -b .exif12
%patch1 -p1 -b .soname

#needed by patch0
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot%_libdir/%name/libfspot*a
#gw wrong dir
mv %buildroot%_prefix/libexec/* %buildroot%_libdir/
#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Graphics" \
	icon="%name.png" \
	title="F-Spot" \
	longtitle="Image Database" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	command="%{_bindir}/%{name} --view" \
	needs="KDE" \
	section=".hidden" \
	icon="%name.png" \
	title="F-Spot" \
	longtitle="Image Viewer and Database" \
	startup_notify="false" accept_url="true" multiple_files="true" \
	mimetypes="image/bmp;image/gif;image/jpeg;image/jpg;image/pjpeg;image/png;image/tiff;image/x-bmp;image/x-gray;image/x-icb;image/x-ico;image/x-png;image/x-portable-anymap;image/x-portable-bitmap;image/x-portable-graymap;image/x-portable-pixmap;image/x-psd;image/x-xbitmap;image/x-xpixmap;image/x-pcx;image/x-dcraw"  xdg="true"
?package(%{name}): \
command="%{_bindir}/%{name} --view" \
	needs="GNOME" \
	section=".hidden" \
	icon="%name.png" \
	title="F-Spot" \
	longtitle="Image Viewer and Database" \
	startup_notify="false" accept_url="true" multiple_files="true" \
	mimetypes="image/bmp;image/gif;image/jpeg;image/jpg;image/pjpeg;image/png;image/tiff;image/x-bmp;image/x-gray;image/x-icb;image/x-ico;image/x-png;image/x-portable-anymap;image/x-portable-bitmap;image/x-portable-graymap;image/x-portable-pixmap;image/x-psd;image/x-xbitmap;image/x-xpixmap;image/x-pcx;image/x-dcraw"  xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Photograph" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%find_lang %name

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/f-spot-logo.png %buildroot%_liconsdir/%name.png
convert -scale 32 icons/f-spot-logo.png %buildroot%_iconsdir/%name.png
convert -scale 16 icons/f-spot-logo.png %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%_bindir/%name
%_bindir/%name-import
%_libexecdir/gnome-screensaver/
%_libdir/%name
%_datadir/applications/%name.desktop
%_datadir/applications/%name-view.desktop
%_datadir/gnome-screensaver/
%_datadir/pixmaps/*.png
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdv2007.0
- Patch1: fix libgphoto2 dlopening

* Tue Aug 29 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdv2007.0
- drop patches 1,2
- New release 0.2.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.11-7mdv2007.0
- Patch1 (CVS): fix Canon import (GNOME bug #326860)
- Patch2 (CVS): fix gphoto crash (GNOME bug #348616)

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 0.1.11-6mdv2007.0
- xdg menu

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-5mdk
- rebuild for new dbus

* Sat Apr 22 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.11-4mdk
- Spec cleanup

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.1.11-3mdk
- really rebuild for new dbus-sharp

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-2mdk
- rebuild for new dbus-sharp

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdk
- New release 0.1.11

* Fri Feb 24 2006 Gtz Waschk <waschk@mandriva.org> 0.1.10-1mdk
- update file list
- New release 0.1.10

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.9-1mdk
- New release 0.1.9

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdk
- New release 0.1.8

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.1.7-2mdk
- rebuild for new dbus-sharp

* Wed Jan 25 2006 Gtz Waschk <waschk@mandriva.org> 0.1.7-1mdk
- New release 0.1.7
- bump deps

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-3mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdk
- New release 0.1.5

* Wed Dec  7 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- dro patch 1
- New release 0.1.4
- use mkrel

* Wed Nov  9 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-4mdk
- patch for new mono

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-3mdk
- fix hidden menu entry

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdk
- rebuild for new dbus

* Thu Sep 29 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-1mdk
- add menu for the viewer
- New release 0.1.3

* Thu Sep  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- New release 0.1.2

* Fri Aug 26 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix buildrequires

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- rebuild for new gtk-sharp2

* Mon Aug 22 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- New release 0.1.1

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 0.1.0-1mdk
- fix buildrequires
- New release 0.1.0

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.0.13-1mdk
- update the patch
- New release 0.0.13

* Wed Apr  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.12-2mdk
- rebuild

* Tue Mar 29 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.12-1mdk
- New release 0.0.12

* Tue Mar 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.11-2mdk
- reenable libtoolize
- fix exif major

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.11-1mdk
- New release 0.0.11

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.10-1mdk
- add icon to the menu
- drop merged patch
- New release 0.0.10

* Thu Mar  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.9-4mdk
- update the patch

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.9-3mdk
- fix dllmap

* Tue Feb 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.9-2mdk
- fix buildrequires

* Tue Feb 22 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.9-1mdk
- New release 0.0.9

* Fri Feb 18 2005 Jerome Soyer <saispo@mandrake.org> 0.0.8-1mdk
- New release 0.0.8

* Wed Feb  2 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- New release 0.0.7

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6-3mdk
- fix buildrequires

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6-2mdk
- fix buildrequires

* Thu Jan 20 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.0.6-1mdk
- New release 0.0.6

* Wed Jan 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- fix buildrequires
- New release 0.0.5

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- rebuild

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- we use gtk-sharp2 now
- New release 0.0.4

* Tue Nov 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- New release 0.0.3

* Wed Sep  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- fix deps

* Mon Aug 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- fix buildrequires
- update file list
- New release 0.0.2

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- fix source URL
- fix buildrequires

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
